package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_PROBE_ARCHITECTURE", schema = "public")
public class MetaProbeArchitecture {
    private Short id;
    private String architecture;
    private Date createDate;

    @Id
    public Short getId() {
        return id;
    }

    public void setId(Short id) {
        this.id = id;
    }


    @Column(name = "ARCHITECTURE", nullable = true, length = 10)
    public String getArchitecture() {
        return architecture;
    }

    public void setArchitecture(String architecture) {
        this.architecture = architecture;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

}
