package com.loafle.overflow.service.central.history;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.model.PageParams;
import com.loafle.overflow.model.history.History;
import com.loafle.overflow.model.meta.MetaHistoryType;
import org.springframework.data.domain.Page;

public interface HistoryService {
   // ??
   History regist(History history);

    @WebappAPI
   Page<History> readAllByProbeIDAndType(Long probeID, MetaHistoryType type, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByProbeID(Long probeID, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByDomainID(Long domainID, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByDomainIDAndType(Long domainID, MetaHistoryType type, PageParams pageParams);
}
