package com.loafle.overflow.service.central.meta;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawler;
import com.loafle.overflow.model.meta.MetaSensorDisplayItem;

import java.util.List;

/**
 * Created by insanity on 17. 9. 20.
 */

public interface MetaSensorDisplayItemService {
    @WebappAPI
    MetaSensorDisplayItem regist(MetaSensorDisplayItem item) throws OverflowException;

    @WebappAPI
    MetaSensorDisplayItem read(Long id) throws OverflowException;

    @WebappAPI
    List<MetaSensorDisplayItem> readAllByCrawler(MetaCrawler crawler) throws OverflowException;
}
