package com.loafle.overflow.service.central.meta;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaInfraVendor;
import com.loafle.overflow.model.meta.MetaVendorCrawler;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
public interface MetaVendorCrawlerService {

    @WebappAPI
    List<MetaVendorCrawler> readAllByInfraVendor(MetaInfraVendor infraVendor) throws OverflowException;

    @WebappAPI
    MetaVendorCrawler regist(MetaVendorCrawler metaVendorCrawler) throws OverflowException;
}
